Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.util
Class SliceLabelsSequence

    java.lang.Object
      cc.mallet.pipe.Pipe
          cc.mallet.grmm.util.SliceLabelsSequence

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class SliceLabelsSequence

extends Pipe

* Created: Fri Jan 02 23:27:04 2004

Version:
  1.0
Author:
  Charles Sutton
See Also:
  Serialized Form

Constructor Summary
`SliceLabelsSequence(int k)`

Method Summary
`Instance` | `pipe(Instance carrier)` Really this should be 'protected', but isn't for historical reasons.
`static LabelSequence` | `sliceLabelsSequence(LabelsSequence lbls, int slice)`
`static LabelSequence` | `sliceLabelsSequence(LabelsSequence lbls, LabelAlphabet dict, int slice)`

Methods inherited from class cc.mallet.pipe.Pipe
`alphabetsMatch, getAlphabet, getAlphabets, getDataAlphabet, getInstanceId, getTargetAlphabet, instanceFrom, instancesFrom, instancesFrom, isDataAlphabetSet, isTargetProcessing, newIteratorFrom, preceedingPipeDataAlphabetNotification, preceedingPipeTargetAlphabetNotification, precondition, readResolve, setDataAlphabet, setOrCheckDataAlphabet, setOrCheckTargetAlphabet, setTargetAlphabet, setTargetProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SliceLabelsSequence

    public SliceLabelsSequence(int k)

Method Detail

### pipe

    public Instance pipe(Instance carrier)

  Description copied from class: `Pipe`
  Really this should be 'protected', but isn't for historical reasons.

  Overrides:
    `pipe` in class `Pipe`

### sliceLabelsSequence

    public static LabelSequence sliceLabelsSequence(LabelsSequence lbls,
                                                    int slice)

### sliceLabelsSequence

    public static LabelSequence sliceLabelsSequence(LabelsSequence lbls,
                                                    LabelAlphabet dict,
                                                    int slice)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD